<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add Company</strong></h3>
      </div>
      <div class="ibox-content">
        <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="addCompany(f)">
          <div class="form-group">
            <label class="col-sm-2 control-label">Company Name<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="100" placeholder="Name" name="company_name"
                #company_name="ngModel" [(ngModel)]="companyModel.company_name" required>
              <div class="error-msg"
                *ngIf="company_name.errors && (company_name.dirty || company_name.touched || f.submitted)">
                <div [hidden]="!company_name.errors.required">Name is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Company Logo</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'"
                [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
                onclick="messageIfNoImage($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Company type<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Company type" name="company_type" #company_type="ngModel"
                [(ngModel)]="companyModel.company_type">
                <mat-option [value]="1">DTC</mat-option>
                <mat-option [value]="2">Fleet Partner</mat-option>
                <mat-option [value]="3">Other</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group"><label class="col-sm-2 control-label">Description<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder=" Description" name="description"
                #description="ngModel" [(ngModel)]="companyModel.description" required>
              <div class="error-msg"
                *ngIf="description.errors && (description.dirty || description.touched || f.submitted)">
                <div [hidden]="!description.errors.required">Description is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Partners</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Partners" name="partners" #partners="ngModel"
                [(ngModel)]="companyModel.partners" multiple>
                <mat-option *ngFor="let partner of partnersData" [value]="partner._id">{{ partner.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Available Payment</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Payment types" name="payment" #payment="ngModel"
                [(ngModel)]="companyModel.payment" multiple>
                <mat-option value="1">CASH</mat-option>
                <mat-option value="2">CREDIT</mat-option>
                <mat-option value="3">ACCOUNT</mat-option>
                <mat-option value="4">ONLINE</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group"><label class="col-sm-2 control-label">Bank Account Details<i aria-hidden="true"
                class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder="Bank account no"
                name="account_details" #account_details="ngModel" [(ngModel)]="companyModel.account_details" required>
            </div>
          </div>
          <div class="form-group"><label class="col-sm-2 control-label">Commission slab in %<i aria-hidden="true"
                class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder="commision" name="commision"
                #commision="ngModel" [(ngModel)]="companyModel.commision" required>
            </div>
          </div>
          <div class="form-group"><label class="col-sm-2 control-label">Commission slab in %<i aria-hidden="true"
                class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder="IBAN" name="iban_number"
                #iban_number="ngModel" [(ngModel)]="companyModel.iban_number" required>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/administration/companies']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>